// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@use '@angular/material' as mat;
// Plus imports for other components in your app.

// Include primary fonts
@import url("https://fonts.googleapis.com/css2?family=Cormorant+SC:wght@500;700&family=Open+Sans:wght@300&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Cormorant+SC:wght@500;700&family=Montserrat:wght@300;500;700&family=Open+Sans:wght@300&display=swap");

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat.core();

/* For use in src/lib/core/theming/_palette.scss */
$finapp-primary-colors: (
  50 : #e7e9ee,
  100 : #c3c9d5,
  200 : #9ba5b9,
  300 : #73819c,
  400 : #556687,
  500 : #374b72,
  600 : #31446a,
  700 : #2a3b5f,
  800 : #233355,
  900 : #162342,
  A100 : #80a4ff,
  A200 : #4d7fff,
  A400 : #1a5bff,
  A700 : #0149ff,
  contrast: (
    50 : #000000,
    100 : #000000,
    200 : #000000,
    300 : #ffffff,
    400 : #ffffff,
    500 : #ffffff,
    600 : #ffffff,
    700 : #ffffff,
    800 : #ffffff,
    900 : #ffffff,
    A100 : #000000,
    A200 : #ffffff,
    A400 : #ffffff,
    A700 : #ffffff,
  )
);

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$finance-app-primary: mat.define-palette($finapp-primary-colors);
$finance-app-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);

// The warn palette is optional (defaults to red).
$finance-app-warn: mat.define-palette(mat.$red-palette);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$finance-app-theme: mat.define-light-theme((
  color: (
    primary: $finance-app-primary,
    accent: $finance-app-accent,
    warn: $finance-app-warn,
  ),
));

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include mat.all-component-themes($finance-app-theme);

/* You can add global styles to this file, and also import other style files */

html, body { height: 100%; }
body { margin: 0; font-family: "Open Sans", "Helvetica Neue", sans-serif; }

$title-font-family: "Montserrat", "Helvetica Neue", sans-serif;

.title {
  font-family: $title-font-family;
  font-style: normal;
  font-weight: 700;
  font-size: 20px;
  line-height: 24px;
}

.sub-title {
  font-family: $title-font-family;
  font-style: normal;
  font-weight: 500;
  font-size: 18px;
  line-height: 22px;
}

.big-title {
  font-family: $title-font-family;
  font-style: normal;
  font-weight: 700;
  font-size: 32px;
  line-height: 48px;
}

.text {
  font-family: $title-font-family;
  font-style: normal;
  font-weight: 300;
  font-size: 16px;
  line-height: 144.68%;
}

.caption {
  font-family: $title-font-family;
  font-style: normal;
  font-weight: 300;
  font-size: 12px;
  line-height: 16px;
}

.m-t-8 {
  margin-top: 8px;
}

.m-t-16 {
  margin-top: 16px;
}

.m-t-24 {
  margin-top: 24px;
}

.mat-flat-button.fancy-button {
  padding-top: 12px;
  padding-bottom: 12px;
}
